<?php

namespace App\Enums;

enum PaymentMethod: string
{
    case Cod = 'cod';
    case Easypaisa = 'easypaisa';

    public function label(): string
    {
        return match ($this) {
            self::Cod => 'Cash on Delivery',
            self::Easypaisa => 'EasyPaisa',
        };
    }
}
